package com.zepchat.core.data;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Ziver on 2014-11-06.
 */
public class ChatSession {
    private User remoteUser;
    private List<Message> messageList;
    private boolean unread;

    public ChatSession(){
        messageList = new ArrayList<Message>();
    }

    public void add(Message msg) {
        messageList.add(msg);
        unread = true;
    }

    public int size() {
        return messageList.size();
    }

    public Message getMessage(int index) {
        return messageList.get(index);
    }

    public boolean hasUnread(){
        return unread;
    }
    public void resetUnread(){
        unread = false;
    }
}
